This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 998573

Summary: No Default Syslog
Product: [Fedora] Fedora Reporter: Jaroslav Reznik <jreznik>
Component: Changes TrackingAssignee: Jaroslav Reznik <jreznik>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: awilliam, brentrbrian, johannbg, kvolny, mattdm, yjcoshc, zbyszek
Target Milestone: ---Keywords: Documentation, ReleaseNotes, Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1001355 1001356 1021605 (view as bug list) Environment:
Last Closed: 2013-12-18 09:01:03 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1006386    
Bug Blocks: 1001355, 1001356, 1021605    

Description Jaroslav Reznik 2013-08-19 10:24:41 EDT
This is a tracking bug for Change: No Default Syslog
For more details, see: http://fedoraproject.org//wiki/Changes/NoDefaultSyslog

No longer install a traditional syslog service by default. (Specifically, remove rsyslog from the @core or @standard groups in comps.)
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-10-08 15:22:54 EDT
http://cgit.freedesktop.org/systemd/systemd/commit/?id=2b8f6883a17b
Comment 2 Jaroslav Reznik 2013-10-11 04:44:57 EDT
This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule
Comment 3 Matthew Miller 2013-10-15 14:38:53 EDT
The basic change to implement this went in, although quite a few packages still bring in rsyslogd as a dependency. I think this feature is fine as it is, and we'll detangle that as part of making separate, targeted Fedora products.
Comment 4 Jaroslav Reznik 2013-10-16 06:56:42 EDT
Ok, thanks, moving to ON_QA.
Comment 5 Karel Volný 2013-10-21 08:27:14 EDT
just FTR, journal brings bug #967521 - how could we switch to this nonsense if that one is still unresolved?

well, in fact, how could we even have this activated by default, maybe I'm just out of luck googling, but I see no approval for journal to be used?
Comment 6 Jóhann B. Guðmundsson 2013-10-21 08:59:21 EDT
Just an FYI This feature is not as simple as no default syslog. We need to fix the entire syslog ( journal/rsyslog/syslog-ng ) implementation in the distribution, come up with virtual provide ( to sub package or not to sub package rsyslog/syslog-ng ) as well as fix roughly 600 packages. Now the proposal on how to do so has been stuck with FPC for 2 years now and until that has been done and fixed this feature can never be considered 100% complete...
Comment 7 Matthew Miller 2013-10-21 09:10:10 EDT
(In reply to Jóhann B. Guðmundsson from comment #6)
> Just an FYI This feature is not as simple as no default syslog. We need to
> fix the entire syslog ( journal/rsyslog/syslog-ng ) implementation in the
> distribution, come up with virtual provide ( to sub package or not to sub
> package rsyslog/syslog-ng ) as well as fix roughly 600 packages. Now the
> proposal on how to do so has been stuck with FPC for 2 years now and until
> that has been done and fixed this feature can never be considered 100%
> complete...

I agree that that's the target, and also that it will continue to be slow-moving. This feature was intentionally meant to slice off and accomplish a small portion of that.
Comment 8 Brent R Brian 2013-10-21 09:42:27 EDT
My comments are not intended to be a remedy, fix, enoursement of a fix/remedy or anything other than a "data point".

If you guys need a "lab rat", let me know.

B
Comment 9 Jóhann B. Guðmundsson 2013-10-21 11:10:22 EDT
(In reply to Matthew Miller from comment #7)
> (In reply to Jóhann B. Guðmundsson from comment #6)
> > Just an FYI This feature is not as simple as no default syslog. We need to
> > fix the entire syslog ( journal/rsyslog/syslog-ng ) implementation in the
> > distribution, come up with virtual provide ( to sub package or not to sub
> > package rsyslog/syslog-ng ) as well as fix roughly 600 packages. Now the
> > proposal on how to do so has been stuck with FPC for 2 years now and until
> > that has been done and fixed this feature can never be considered 100%
> > complete...
> 
> I agree that that's the target, and also that it will continue to be
> slow-moving. This feature was intentionally meant to slice off and
> accomplish a small portion of that.

That is one of the core problem people really as in that feature and related work are just implemented up to the point it serves the feature requester need ( and is labelled as 100% feature completed ) as opposed to the actual work required to implement properly into the distribution.

What we need to do is to keep distribute wide changes as these in a separated branch and switch all the components at the same time when the feature actually is 100% feature complete
Comment 10 Karel Volný 2013-11-12 11:26:56 EST
bug 967521 got mistakenly closed, long live bug 1006386 ...
Comment 11 Adam Williamson 2013-11-27 22:28:16 EST
So. Um.

Fedora 20 Final TC3, desktop, installed from DVD, has rsyslog.

comps group @standard has rsyslog. This means it will be installed by default in anything but a minimal install.

So, this Change does not actually seem to have been implemented as planned at all: "Specifically, remove rsyslog from the @core or @standard groups in comps."

What gives?
Comment 12 Adam Williamson 2013-11-28 12:36:18 EST
Throwing 'Documentation' and 'ReleaseNotes' keywords on here to alert the relevant folks that this feature does not appear to have been implemented as described.
Comment 13 Jaroslav Reznik 2013-12-04 06:12:54 EST
(In reply to Adam Williamson from comment #11)
> So. Um.
> 
> Fedora 20 Final TC3, desktop, installed from DVD, has rsyslog.
> 
> comps group @standard has rsyslog. This means it will be installed by
> default in anything but a minimal install.
> 
> So, this Change does not actually seem to have been implemented as planned
> at all: "Specifically, remove rsyslog from the @core or @standard groups in
> comps."
> 
> What gives?

It's a bit more complicated - FESCo at the end agreed, to remove rsyslog only from @core (the Change should be updated to reflect that in better words, Matt ;-) - but it says remove rsyslog from @core or @standard; it was removed from @core). But it's also removed from the Desktop Live, our "default" offering. From this point of view, it's correct, see fedora-desktop-packages.ks, line 21 (https://git.fedorahosted.org/cgit/spin-kickstarts.git/tree/fedora-desktop-packages.ks).
Comment 14 Jóhann B. Guðmundsson 2013-12-04 06:19:15 EST
The release announcement needs to reflect this correctly

https://fedoraproject.org/wiki/F20_release_announcement#No_Default_Sendmail.2C_Syslog
Comment 15 Karel Volný 2013-12-06 10:06:49 EST
(In reply to Jóhann B. Guðmundsson from comment #14)
> The release announcement needs to reflect this correctly
...

well, it could finally name the change correctly - the test reads "Fedora 20 ... replaces some services" and "The systemd journal now takes the place as the default logging solution"

so the title should read something like "Systemd-journald as default syslog"
Comment 16 Karel Volný 2013-12-06 10:07:28 EST
(In reply to Karel Volný from comment #15)
> well, it could finally name the change correctly - the test reads "Fedora 20

s/test/text/ :-)
Comment 17 Jaroslav Reznik 2013-12-18 09:01:03 EST
Closing this bug as this Change was delivered in Fedora 20 release. Please, reopen in case of any issues you encounter regarding this Change completion.